| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/scanstr.h File Reference

String scanning (sscanf() flavor). More...

`#include "csextern.h"`

Go to the source code of this file.

## Functions
int | csScanStr (const char *in, const char *format,...)
| Own version of sscanf that is a bit more relaxed towards spaces and also accepts quoted strings (the quotes will not be included into the result string).

## Detailed Description

String scanning (sscanf() flavor).

Definition in file scanstr.h.

## Function Documentation

int csScanStr | ( | const char * | in,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

Own version of sscanf that is a bit more relaxed towards spaces and also accepts quoted strings (the quotes will not be included into the result string).

It supports the following format commands:

- %d -- integer number
- %f -- floating point
- %b -- boolean (0, 1, true, false, yes, no, on, off)
- %s -- string (with or without single quotes)
- %S -- string (delimited with double quotes)
  \n will be converted to a newline
  \t will be converted to a tab
  \\ produces a \
  \" produces a "
  all other conbinations of \ are copied.
- %D -- list of integers, first argument should be a pointer to an array of integers, second argument a pointer to an integer which will contain the number of elements inserted in the list.
- %F -- similarly, a list of floats.
- %n -- this returns the amount of the input string thats been consumed, in characters. Does NOT increment the return count and does not read from the input string.

Returns the number of successfully scanned arguments or -1 if there was a mismatch.